{config, ...}: {
  age.secrets = {
    taskd-ca-cert.file = ../../../secrets/taskd-ca-cert.age;
    taskd-aria-cert.file = ../../../secrets/taskd-aria-cert.age;
    taskd-aria-key.file = ../../../secrets/taskd-aria-key.age;
  };

  programs.taskwarrior = {
    enable = true;
    config = {
      taskd = {
        server = "aria.cat:53589";
        credentials = "myself/aria/e67e2e9f-78af-42c2-9c55-3c59054246c6";
        certificate = config.age.secrets.taskd-aria-cert.path;
        key = config.age.secrets.taskd-aria-key.path;
        ca = config.age.secrets.taskd-ca-cert.path;
      };
      dateformat = "Y-M-D H:N";
      report.list.columns = [
        "id"
        "entry.age"
        "scheduled"
        "due"
        "description"
        "urgency"
      ];
      report.list.labels = [
        "ID"
        "Age"
        "Sched"
        "Due"
        "Description"
        "Urg"
      ];
    };
  };
}
