{
  programs.waybar = {
    enable = true;
    style = ./style.css;
    settings = {
      mainBar = {
        layer = "top";
        position = "top";
        modules-left = [
          "sway/mode"
          "sway/workspaces"
          # "custom/arrow10"
          "sway/window"
        ];
        modules-right = [
          "custom/arrow9"
          "pulseaudio"
          "custom/arrow8"
          "network"
          "custom/arrow7"
          "memory"
          "custom/arrow6"
          "cpu"
          "custom/arrow5"
          "temperature"
          "custom/arrow4"
          "battery"
          "custom/arrow2"
          "tray"
          "clock#date"
          "custom/arrow1"
          "clock#time"
        ];
        "pulseaudio" = {
          format = "{icon} {volume}%";
          format-bluetooth = "{icon} {volume}%";
          format-muted = "";
          format-icons.default = ["" ""];
          scroll-step = 1;
          tooltip = false;
        };
        "network" = {
          interval = 5;
          format-wifi = "  {essid} ({signalStrength}%)";
          format-ethernet = "󰈀 {ifname}";
          format-disconnected = "No connection";
          format-alt = "{ipaddr}/{cidr}";
          tooltip = false;
        };
        "river/mode" = {
          format = "{}";
        };
        "river/window" = {
          format = "{}";
          max-length = 79;
          tooltip = false;
        };
        "river/tags" = {
          num-tags = 9;
        };
        "temperature" = {
          critical-threshold = 90;
          interval = 5;
          thermal-zone = 0;
          format = "{icon} {temperatureC}°";
          format-icons = [
            ""
            ""
            ""
            ""
            ""
          ];
          tooltip = false;
        };
        "memory" = {
          interval = 5;
          format = "RAM: {used:0.1f}G/{total:0.1f}G";
          states = {
            warning = 70;
            critical = 90;
          };
          tooltip = false;
        };
        "cpu" = {
          interval = 5;
          tooltip = false;
          format = " {usage}%";
          format-alt = " {load}";
          states = {
            warning = 70;
            critical = 90;
          };
        };
        "battery" = {
          interval = 10;
          states = {
            warning = 25;
            critical = 15;
          };
          format-time = "{H}:{M:02}";
          format = "{icon}  {capacity}% ({time})";
          format-charging = " {capacity}% ({time})";
          format-charging-full = " {capacity}%";
          format-full = "{icon}  {capacity}%";
          format-alt = "{icon} {power}W";
          format-icons = [
            ""
            ""
            ""
            ""
            ""
          ];
          tooltip = false;
        };
        "clock#date" = {
          interval = 20;
          format = "{:%e %b %Y}";
          tooltip = false;
        };
        "tray" = {
          icon-size = 18;
          spacing = 10;
        };
        "custom/arrow1" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow2" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow3" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow4" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow5" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow6" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow7" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow8" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow9" = {
          format = "";
          tooltip = false;
        };
        "custom/arrow10" = {
          format = "";
          tooltip = false;
        };
      };
    };
  };
}
